Solid Edge Part Type Library
SetReflectivePlane Method
Description
This method is added to turn ON individual reflective plane(i.e. Top\Front\Right) and apply distance to the same which is similar to checked box at Model Reflective Display Dialogue in SE UI.
Syntax
Visual Basic
Public Sub SetReflectivePlane( _
   ByVal ReflectivePlane As ReflectivePlaneConstants, _
   ByVal bStatus As Boolean, _
   ByVal dDistance As Double _
) 
Parameters
ReflectivePlane
ValueDescription
igFrontPlane
igFrontPlaneDistance
igReflectivePlane
igRightPlane
igRightPlaneDistance
igTopPlane
igTopPlaneDistance
igTransparency
igTransparencyValue
bStatus
dDistance
Example
Public Class Form1

    Private Sub btnReflectivePlane_Click(sender As System.Object, e As System.EventArgs) Handles btnReflectivePlane.Click
        Dim objPartDoc As SolidEdgePart.PartDocument = Nothing
        Dim objProfile As SolidEdgePart.Profile = Nothing
        Dim sketch As SolidEdgePart.Sketch = Nothing
        Dim objPoint As SolidEdgeFrameworkSupport.Point2d = Nothing
        Dim objOrientation As SolidEdgeFrameworkSupport.Line2d = Nothing
        Dim objApplication As SolidEdgeFramework.Application = Nothing
        Dim objPointOut As SolidEdgeFrameworkSupport.Point2d = Nothing
        Dim objOrientationOut As SolidEdgeFrameworkSupport.Line2d = Nothing
        Dim bStatus As Boolean = False
        Dim dDistance As Double = 0
        Dim iTransparency As Integer = 30

        Try

            ' Create/get the application with specific settings
            objApplication = GetObject(, "SolidEdge.Application")
            If objApplication Is Nothing Then
                MessageBox.Show("Could not get application.")
            End If

            ' open the document mentioned in the doc files.
            objPartDoc = objApplication.Documents.Open("C:\ReflectivePlane.par")
            If objPartDoc Is Nothing Then
                MessageBox.Show("Could not open document ")
            End If

            objPartDoc.ActivateReflectivePlane()

            objPartDoc.SetReflectivePlane(SolidEdgePart.ReflectivePlaneConstants.igTopPlane, True, 0.3)
            objPartDoc.SetReflectivePlane(SolidEdgePart.ReflectivePlaneConstants.igRightPlane, True, 0.4)
            objPartDoc.SetReflectivePlane(SolidEdgePart.ReflectivePlaneConstants.igFrontPlane, True, 0.5)

            objPartDoc.GetReflectivePlane(SolidEdgePart.ReflectivePlaneConstants.igTopPlane, bStatus, dDistance)
            objPartDoc.GetReflectivePlane(SolidEdgePart.ReflectivePlaneConstants.igRightPlane, bStatus, dDistance)
            objPartDoc.GetReflectivePlane(SolidEdgePart.ReflectivePlaneConstants.igFrontPlane, bStatus, dDistance)

            objPartDoc.SetReflectivePlaneTransparency(True, iTransparency)
            objPartDoc.GetReflectivePlaneTransparency(bStatus, iTransparency)

            'objPartDoc.DeActivateReflectivePlane()

            If objPartDoc Is Nothing Then
                objPartDoc.Close(False)
                objPartDoc = Nothing
            End If

        Catch ex As Exception
            MsgBox(ex.Message)
        End Try
    End Sub
End Class
See Also

PartDocument Object  | PartDocument Members